from practicum import McuBoard
import math

RQ_GET_Distance	= 2
RQ_GET_AVR3 	= 3
RQ_GET_AVR4 	= 4
RQ_GET_AVR5 	= 5
RQ_GET_AVR6 	= 6
RQ_GET_AVR7 	= 13

RQ_GET_SWITCH1 	= 7
RQ_SET_LED1 	= 8
RQ_SET_LED2 	= 9
RQ_SET_LED3 	= 10
RQ_GET_SWITCH2 	= 11
RQ_SET_LED4	= 12

RQ_SET_LED5 	= 14
RQ_SET_LED6 	= 15


###############################################################
class PeriBoard(McuBoard):
       
 
     	def getDistance(self) :
 		c,d = self.usb_read(RQ_GET_Distance,2)
         	return 2914/((c+d*256)+5)-1

    	################################
    	
	def getLight1(self) :
        	return self.usb_read(RQ_GET_AVR3,3)[0]+self.usb_read(RQ_GET_AVR3,3)[1]*256
   	
    	
	def getLight2(self) :
        	return self.usb_read(RQ_GET_AVR4,4)[0]+self.usb_read(RQ_GET_AVR4,4)[1]*256
    
    	
	def getLight3(self) :
        	return self.usb_read(RQ_GET_AVR5,5)[0]+self.usb_read(RQ_GET_AVR5,5)[1]*256
    	
    	
	def getLight4(self) :
        	return self.usb_read(RQ_GET_AVR6,6)[0]+self.usb_read(RQ_GET_AVR6,6)[1]*256					

    	
	def getLight5(self) :
     		a,b = self.usb_read(RQ_GET_AVR7,2)
         	return ((1.0/(0.001283+0.0002362*math.log(a+b*256,2.72)+0.00000009285*math.log(a+b*256,2.72)*math.log(a+b*256,2.72)*math.log(a+b*256,2.72)))*0.1)-11

 ###############################################################
	
	def getSwitch(self,sw_num):
        	if sw_num == 1 : 
		    val = self.usb_read(RQ_GET_SWITCH1,1)
		elif sw_num == 2 :
		    val = self.usb_read(RQ_GET_SWITCH2,1)

		if val[0] == 1:
			return True
		else:
			return False

    	################################
	
	def setLed1(self,led_num,led_val):
		self.usb_write(RQ_SET_LED1,led_num,led_val)
   
   	def setLedValue1(self, value) :
		self.setLed1(1,value)
     
    	
	def setLed2(self,led_num,led_val):
		self.usb_write(RQ_SET_LED2,led_num,led_val)
   
   	def setLedValue2(self, value) :
		self.setLed2(1,value)

    	
	def setLed3(self,led_num,led_val):
		self.usb_write(RQ_SET_LED3,led_num,led_val)
   
   	def setLedValue3(self, value) :
		self.setLed3(1,value)

     	################################	
	def setLed4(self,led_num,led_val):
		self.usb_write(RQ_SET_LED4,led_num,led_val)
   
   	def setLedValue4(self, value) :
		self.setLed4(1,value)


 ###############################################################

   	
	def setLed5(self,led_num,led_val):   
		self.usb_write(RQ_SET_LED5,led_num,led_val)
   
   	def setLedValue5(self, value) :
		self.setLed5(1,value)   

     	################################	
	
	def setLed6(self,led_num,led_val):   
		self.usb_write(RQ_SET_LED6,led_num,led_val)
   
   	def setLedValue6(self, value) :
		self.setLed6(1,value)  
